Loading...
Searching...
No Matches
PowerSeriesBase< traits > Class Template Reference

`#include <PowerSeries.h>`

## Public Types

typedef traits::denominator_type | denominator_type
typedef traits::numerator_type | numerator_type
typedef PowerSeriesInputIterator< traits > | iterator

## Public Member Functions

| PowerSeriesBase ()
| PowerSeriesBase (const numerator_type &a, const denominator_type &b)
iterator | begin ()
iterator | end ()

## Protected Attributes

denominator_type | denominator
numerator_type | numerator

## Detailed Description

template<class traits>
class PowerSeriesBase< traits >

Definition at line 129 of file PowerSeries.h.

## Member Typedef Documentation

## denominator_type

template<class traits>

typedef traits::denominator_type PowerSeriesBase< traits >::denominator_type

Definition at line 132 of file PowerSeries.h.

## iterator

template<class traits>

typedef PowerSeriesInputIterator<traits> PowerSeriesBase< traits >::iterator

Definition at line 144 of file PowerSeries.h.

## numerator_type

template<class traits>

typedef traits::numerator_type PowerSeriesBase< traits >::numerator_type

Definition at line 133 of file PowerSeries.h.

## Constructor & Destructor Documentation

## PowerSeriesBase() [1/2]

template<class traits>

PowerSeriesBase< traits >::PowerSeriesBase | ( |  | ) |

inline

Definition at line 138 of file PowerSeries.h.

{}

## PowerSeriesBase() [2/2]

template<class traits>

PowerSeriesBase< traits >::PowerSeriesBase | ( | const numerator_type & | a,
|  | const denominator_type & | b )

inline

Definition at line 139 of file PowerSeries.h.

:numerator(a),denominator(b)
{
assume(a.getRing()==b.getRing());
//asume b!=NULL
}
PowerSeriesBase
Definition PowerSeries.h:130
PowerSeriesBase::denominator
denominator_type denominator
Definition PowerSeries.h:135
PowerSeriesBase::numerator
numerator_type numerator
Definition PowerSeries.h:136
assume
#define assume(x)
Definition mod2.h:389

## Member Function Documentation

## begin()

template<class traits>

iterator PowerSeriesBase< traits >::begin | ( |  | ) |

inline

Definition at line 145 of file PowerSeries.h.

{
return iterator(numerator,denominator);
}
PowerSeriesBase::iterator
PowerSeriesInputIterator< traits > iterator
Definition PowerSeries.h:144

## end()

template<class traits>

iterator PowerSeriesBase< traits >::end | ( |  | ) |

inline

Definition at line 149 of file PowerSeries.h.

{
return iterator();
}

## Field Documentation

## denominator

template<class traits>

denominator_type PowerSeriesBase< traits >::denominator

protected

Definition at line 135 of file PowerSeries.h.

## numerator

template<class traits>

numerator_type PowerSeriesBase< traits >::numerator

protected

Definition at line 136 of file PowerSeries.h.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/python/PowerSeries.h